Bug 95959 - New port: misc/apparix Bookmark directories and apparate inside them
Summary: New port: misc/apparix Bookmark directories and apparate inside them
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-17 20:10 UTC by Frank Steinborn
Modified: 2006-05-05 11:54 UTC (History)
0 users

See Also:


Attachments
file.shar (2.35 KB, text/plain)
2006-04-17 20:10 UTC, Frank Steinborn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Steinborn 2006-04-17 20:10:14 UTC
Apparix allows you to bookmark directories and later jump to them using
the mark. When jumping, the contributed bash completion code allows one
to complete on bookmarks and on subdirectories of the target directory.

WWW: http://www.apparix.org/
Comment 1 Frank Steinborn 2006-04-17 23:10:43 UTC
Sorry, the homepage of the project (as stated in pkg-descr and in the
Description-field of the bug-report) is not correct. It is
http://micans.org/apparix/ and not http://www.apparix.org/

Here is the correct version of shar `find apparix`:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       apparix
#       apparix/pkg-descr
#       apparix/Makefile
#       apparix/pkg-plist
#       apparix/distinfo
#
echo c - apparix
mkdir -p apparix > /dev/null 2>&1
echo x - apparix/pkg-descr
sed 's/^X//' >apparix/pkg-descr << 'END-of-apparix/pkg-descr'
XApparix allows you to bookmark directories and later jump to them using
Xthe mark. When jumping, the contributed bash completion code allows one
Xto complete on bookmarks and on subdirectories of the target directory.
X
XWWW: http://micans.org/apparix/
END-of-apparix/pkg-descr
echo x - apparix/Makefile
sed 's/^X//' >apparix/Makefile << 'END-of-apparix/Makefile'
X# New ports collection makefile for:    apparix
X# Date created:         16 Apr 2006
X# Whom:                 Frank Steinborn <steinex@gmx.de>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      apparix
XPORTVERSION=   20060105
XCATEGORIES=    misc
XMASTER_SITES=  http://micans.org/apparix/src/
XDISTNAME=      apparix-06-005
X
XMAINTAINER=    steinex@gmx.de
XCOMMENT=       Bookmark directories and apparate inside them
X
XGNU_CONFIGURE= yes
XMAN1=          apparix.1
XMANCOMPRESSED= no
X
Xdo-install:
X       @${MKDIR} ${PREFIX}/bin  
X       ${INSTALL_PROGRAM} ${WRKSRC}/src/apparix \
X               ${PREFIX}/bin
X       ${INSTALL_MAN} ${WRKSRC}/doc/apparix.1 \
X               ${MAN1PREFIX}/man/man1
X.if !defined(NOPORTDOCS)
X               @${MKDIR} ${DOCSDIR}
X.for file in apparix.azm apparix.html apparix.ps
X               ${INSTALL_DATA} ${WRKSRC}/doc/${file} ${DOCSDIR}
X.endfor
X.endif
X
X.include <bsd.port.mk>
END-of-apparix/Makefile
echo x - apparix/pkg-plist
sed 's/^X//' >apparix/pkg-plist << 'END-of-apparix/pkg-plist'
Xbin/apparix
X%%PORTDOCS%%%%DOCSDIR%%/apparix.azm
X%%PORTDOCS%%%%DOCSDIR%%/apparix.html
X%%PORTDOCS%%%%DOCSDIR%%/apparix.ps
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
END-of-apparix/pkg-plist
echo x - apparix/distinfo
sed 's/^X//' >apparix/distinfo << 'END-of-apparix/distinfo'
XMD5 (apparix-06-005.tar.gz) = 7e56de0b6f7577be0c87e80452666477
XSHA256 (apparix-06-005.tar.gz) =
541ebe34c2b1e9e41388525c8587b0aef808283cb40cf62b9d4e54adb7a5b1bf
XSIZE (apparix-06-005.tar.gz) = 200092
END-of-apparix/distinfo
exit

-- 
GMX Produkte empfehlen und ganz einfach Geld verdienen!
Satte Provisionen für GMX Partner: http://www.gmx.net/de/go/partner
Comment 2 Emanuel Haupt freebsd_committer 2006-05-05 11:37:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Take.
Comment 3 Emanuel Haupt freebsd_committer 2006-05-05 11:53:54 UTC
State Changed
From-To: open->closed

New port added with minor modifications, thanks!